By continuing your navigation on this site, you accept the use of cookies to offer you contents and adapted services. Legal Notice.
 
 
 

GuppY, the benchmark database free CMS

 

telecharger01.png

 
 
You are here :   Welcome » Forum » Guppy 5 » Migration Vers V5.02.XX
 
    Print this page...
    Print this section...
 

Warning: GuppY 5.03.00

GuppY release 5.03.00 :
 

The zips of the pack, the cumulative patch and the non-cumulative patch are available for download.

The CKEditor v4121 patch for GuppY 502xx (06.07.2019) is available for download in the Download section and then GuppY 5. Thanks to Saxbar for this update.

The update of the spam blocking lists (24.09.2019) for Apache 2.3 and Apache 2.4 is available for download in the Download section and then GuppY 5.

Forum - Guppy 5 - Migration Vers V5.02.XX


Connected :
+
 

active  Topic # 130363

07/02/2019 @ 15:49
by Brberousse

Anonymous

visitor

Bonjour à tous.

Sans doute une question stupide, mais je voudrais en avoir le coeur net...

Lorsque l'aide dit en point 7 : "Glisser / déposer le contenu du pack GuppY 5.02.xx à la racine du site 4.6.x à migrer à l'exception du fichier .htaccess."

On est bien d'accord qu'il s'agit du contenu "décompressé" du pack Guppy et que du coup, il va y avoir "fusion" avec les dossiers/fichiers existant sur le serveur ?

Merci d'avance pour cette précision.

Post an answer Top  

Answer n° 1
--------
07/02/2019 @ 18:08
by Saxbar

Saxbar

Développeur
122 messages

Bonsoir,

Citation : « Brberousse »

On est bien d'accord qu'il s'agit du contenu "décompressé" du pack Guppy et que du coup, il va y avoir "fusion" avec les dossiers/fichiers existant sur le serveur ?

Tout à fait, mais aucune crainte à avoir, l'organisation des données est différente dans les deux versions.

Seule précaution, supprimer le .htaccess à la racine avant transfert.

Et suivre scrupuleusement toute la procédure.

Cordialement, Saxbar.

Web site Saxbar
Post an answer Top  
Answer n° 2
--------
07/02/2019 @ 18:44
by Brberousse

Anonymous

visitor

Merci pour cette  confirmation qui m'amène une autre question : la procédure d'installation fait le ménage également dans les fichiers obsolètes de la version précédente ? 

Post an answer Top  
Answer n° 3
--------
07/02/2019 @ 21:08
by Lavachequireve

Lavachequireve

Secrétaire
1024 messages

Bonjour.

Si ta version initiale est inférieure à la version 4.6.28 il faut lancer le script de "la moulinette à data" qui transforme les fichiers de données data/docnumeroID.inc pour les rendre compatibles avec PHP 5. Avant de migrer. Les fichiers ainsi corrigés permettent au site de fonctionner. Indispensable pour migrer ensuite en version 5.

Puis en copiant tout le contenu du pack complet à la racine du site :  les nouveaux fichiers de la version 5 remplaceront les fichiers anciens de même nom quant aux fichiers inutiles ils seront supprimés par le script de migration.

Cela peut être plus ou moins long lors de la migration selon la quantité de données du site. Surtout attendre !

Ensuite, il ne faudra pas oublier une fois la migration terminée, de créer un compte administrateur principal pour pouvoir ensuite entrer dans l'admin du site en version 5.02.08.

Bonne continuation.

Cordialement Lavachequireve

Web site Lavachequireve
Post an answer Top  
Answer n° 4
--------
12/02/2019 @ 09:03
by Brberousse

Anonymous

visitor

Bonjour et merci pour ces précisions.

Fort de ces conseils, je me suis lancé.

Partant d'un site en 4.6.28, j'ai fait les choses suivantes :

Contrôle d'intégrité : RAS

Sauvegarde intégrale du site en 4.6.28

Envoi du pack 5.02.08 (sauf le htaccess) à la racine avec remplacement des fichiers existants : RAS

Connexion au site (nouvelle zone ADMIN, c'est bon signe !)

Validation de l'URL, création du Webmestre : RAS

Donc, on pourrait que tout va bien ? Eh bien non...

Pas mal d'erreurs dont la plus grave à mon avis, est que la zone admin n'est pas protégée par mot de passe, même si je ne suis pas connectée comme membre "de base"...

Pour les autres erreurs, on verra après...

Merci pour votre aide !

Post an answer Top  
Answer n° 5
--------
12/02/2019 @ 18:17
by Saxbar

Saxbar

Développeur
125 messages

Bonjour,

Citation : « Brberousse »

Pas mal d'erreurs ....

Lesquelles ?

L'accès admin n'a plus besoin de mot de passe particulier, seuls les admins principal et secondaire ainsi que les collaborateurs peuvent y accéder après s'être connecté.

Relire la procédure de migration https://ghc.freeguppy.org/articles.php?lng=fr&pg=416&mnuid=304&tconfig=0#z2 et respecter l'ordre des rubriques.

Qu'elle est l'adresse du site en ligne ?

Cordialement, Saxbar.

Web site Saxbar
Post an answer Top  
Answer n° 6
--------
13/02/2019 @ 10:58
by Brberousse

Anonymous

visitor

Bonjour.

Tout d'abord, merci pour l'intérêt porté à mes petits problèmes.

Effectivement, je n'avais pas remarqué que le bouton "ADMIN" n'apparaissait pas hors connexion. Ca perturbe quand on n'a pas l'habitude !

Sinon, lorsque je rentre sur la zone admin, j'ai presque systématiquement la pop-up "Vous devez configurer votre site avant de poursuivre : Config générale", alors que je l'ai fait plusieurs fois, en prenant bien soi  d'enregistrer à chaque fois.

Ensuite, sur la page d'accueil, le menu "Notre Actualité" m'envoie sur un page insultante cry :

Warning: include(inc/news.inc): failed to open stream: No such file or directory in /homepages/6/d230655326/htdocs/news.php on line 20Warning: include(): Failed opening 'inc/news.inc' for inclusion (include_path='.:/usr/lib/php7.2') in /homepages/6/d230655326/htdocs/news.php on line 20Fatal error: Uncaught Error: Class 'GY_news' not found in /homepages/6/d230655326/htdocs/news.php:21 Stack trace: #0 {main} thrown in /homepages/6/d230655326/htdocs/news.php on line 21

J'ai aussi des messages d'insulte dans les menu "Dans la Presse" et "Photos"

Et je n'ai pas encore attaqué la reconstitution de la skin de l'ancienne version... j'ai un peu peur...

L'adresse du site est : http://lepicarddeberck.org

MErci d'avance pour tout ! biggrin

Post an answer Top  
Answer n° 7
--------
13/02/2019 @ 16:45
by Saxbar

Saxbar

Développeur
126 messages

Bonjour,

Pour les warnings que tu prends pour des messages d'insulte biggrin, il manque certains scripts dans le dossier inc/. Pour régler ce problème charge le patch cumulatif 5.02.08 et l'installer avec le module Administration générale > Installer.

Pour la Config générale vérifie les valeurs des chmods. En principe chez 1&1 c'est 0705 pour les dossiers et 0604 pour les fichiers. Et en FTP vérifie la valeur de chmod du fichier data/config/config.inc.

En ce qui concerne la skin, tu ne dois pas utiliser directement la skin no_skin car tu ne peux pas la modifier. Il faut aller dans Config look et copier la no_skin sous un autre nom, par exemple skn5_berck01 et travailler sur cette skin.

Encore quelques conseils :

  • attention aux dimensions des images, le mieux est d'indiquer la largeur en pourcentage et ne pas mettre de hauteur, l'image conservera ses proportions et se redimensionnera toute seule en fonction de l'écran  
  • éviter les objets flash, les navigateurs n'aiment pas et ils finiront par ne plus être pris en charge

Si tes problèmes persistent tu peux nous envoyer par Nous contacter sur ce site les identifiants suivant :

  • pseudo et mot de passe de l'admin principal
  • pseudo et mot de passe de l'admin secondaire
  • identifiants FTP de ton hébergement (hôte, utilisateur, mot de passe)

Cordialement, Saxbar.

Web site Saxbar
Post an answer Top  
active topic active   closed topic closed   Important! Important!   New New message
Correct Correct message   Close Close topic   Make sticky Make sticky  
Forum Topic  Forum